Bug 728460 - Review Request: xnio - JBoss XNIO
Summary: Review Request: xnio - JBoss XNIO
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 726351
Blocks: 728501
TreeView+ depends on / blocked
 
Reported: 2011-08-05 08:22 UTC by Marek Goldmann
Modified: 2011-10-19 13:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 13:51:17 UTC
andjrobins: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-08-05 08:22:27 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/xnio/1/xnio.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/xnio/1/xnio-3.0.0-0.1.Beta4.fc16.src.rpm
Description: 

XNIO is a simplified low-level I/O layer which can be used anywhere you are
using NIO today. It frees you from the hassle of dealing with Selectors and
the lack of NIO support for multicast sockets and non-socket I/O, while still
maintaining all the capabilities present in NIO.

$ rpmlint ./xnio.spec 
./xnio.spec: W: invalid-url Source0: xnio-3.0.0.Beta4.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint xnio-3.0.0-0.1.Beta4.fc16.src.rpm 
xnio.src: I: enchant-dictionary-not-found en_US
xnio.src: W: name-repeated-in-summary C XNIO
xnio.src: W: invalid-url URL: http://www.jboss.org/xnio HTTP Error 403: Forbidden
xnio.src: W: invalid-url Source0: xnio-3.0.0.Beta4.tar.xz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Andrew Robinson 2011-09-12 18:35:56 UTC
Added requires listed in the specfile that aren't in rawhide to dependencies.

Comment 2 Marek Goldmann 2011-10-02 10:36:37 UTC
Package is ready to review - no more blockers, koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3396607

Comment 3 Andrew Robinson 2011-10-03 21:05:48 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output: 
xnio.src: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
The value of this tag appears to be misspelled. Please double-check.

xnio.src: W: name-repeated-in-summary C XNIO
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

xnio.src: W: spelling-error %description -l en_US multicast -> Multics, simulcast
The value of this tag appears to be misspelled. Please double-check.

xnio.src: W: invalid-url URL: http://www.jboss.org/xnio HTTP Error 403: Forbidden
The value should be a valid, public HTTP, HTTPS, or FTP URL.

xnio.src: W: invalid-url Source0: xnio-3.0.0.Beta4.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

1 packages and 0 specfiles checked; 0 errors, 5 warnings.
[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[X]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :be30c8ab015a5d2dac946c5111370292
MD5SUM upstream package:be30c8ab015a5d2dac946c5111370292
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates or must require other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[X]  Permissions on files are set properly.
[X]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[X]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[X]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.
[X]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant
[X]  pom files has correct add_maven_depmap

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[X]  Package DOES NOT use %update_maven_depmap in %post/%postun
[X]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.
Tested on:
x86_64

=== Issues ===
1. Capitalization problem on the second last BR
2. Package name should not be repeated in the description.
3. Builds on rawhide, but does not build in Mock with error:
...
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.
10:test (default-test) on project xnio-api: Unable to generate classpath: org.ap
ache.maven.artifact.resolver.MultipleArtifactsNotFoundException: Missing:
[ERROR] ----------
[ERROR] 1) org.apache.maven.surefire:surefire-junit4:jar:2.10
...

This may just be an issue with Mock but it would be preferable if it could build in Mock.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Comment 4 Marek Goldmann 2011-10-07 08:57:45 UTC
I've updated the spec file. I can build the package just fine in mock (fedora-rawhide-x86_64). Maybe it was just a one-time glitch?

Spec URL: http://goldmann.fedorapeople.org/package_review/xnio/2/xnio.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/xnio/2/xnio-3.0.0-0.2.Beta4.fc17.src.rpm

Comment 5 Andrew Robinson 2011-10-17 17:28:00 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[X]  Rpmlint output: 
xnio.src: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
xnio.src: W: name-repeated-in-summary C XNIO
xnio.src: W: spelling-error %description -l en_US multicast -> Multics, simulcast
xnio.src: W: invalid-url URL: http://www.jboss.org/xnio HTTP Error 403: Forbidden
xnio.src: W: invalid-url Source0: xnio-3.0.0.Beta4.tar.xz
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format
%{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging
Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[X]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[X]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    :be30c8ab015a5d2dac946c5111370292
MD5SUM upstream package:be30c8ab015a5d2dac946c5111370292
[X]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates or must require other
packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with
good reason
[X]  Permissions on files are set properly.
[X]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). (not needed anymore)
[X]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
mixing)
[X]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc
subpackage
[X]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that
tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be
removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.
[X]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[X]  If package contains pom.xml files install it (including depmaps) even when
building with ant
[X]  pom files has correct add_maven_depmap

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of
%{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
it's needed in a comment
[X]  Package DOES NOT use %update_maven_depmap in %post/%postun
[X]  Packages DOES NOT have Requires(post) and Requires(postun) on
jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.
Tested on:
x86_64

================
*** APPROVED ***
================

Comment 6 Marek Goldmann 2011-10-18 08:22:22 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      xnio
Short Description: JBoss XNIO
Owners:            goldmann

Comment 7 Gwyn Ciesla 2011-10-18 12:13:03 UTC
Git done (by process-git-requests).

Comment 8 Marek Goldmann 2011-10-19 13:51:17 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.